ROCM-SMI(1)

NAME
rocm-smi - AMD ROCm System Management Interface

SYNOPSIS

rocm-smi [OPTIONS]

DESCRIPTION
This tool exposes functionality for clock and temperature management of a ROCm enabled system.

OPTIONS

  optional arguments:

-h, --help
    show this help message and exit

--gpureset
    Reset specified GPU (One GPU must be specified)

--load FILE
    Load Clock, Fan, Performance and Profile settings from FILE

--save FILE
    Save Clock, Fan, Performance and Profile settings to FILE

-d DEVICE [DEVICE ...], --device DEVICE [DEVICE ...]
    Execute command on specified device

  Display Options:

--alldevices
    Execute command on non-AMD devices as well as AMD devices

--showhw
    Show Hardware details

-a, --showallinfo
    Show Temperature, Fan and Clock values

  Topology:

-i, --showid
    Show GPU ID

-v, --showvbios
    Show VBIOS version

--showdriverversion
    Show kernel driver version

--showfwinfo [BLOCK [BLOCK ...]]
    Show FW information

--showmclkrange
    Show mclk range

--showmemvendor
    Show GPU memory vendor

--showsclkrange
    Show sclk range

--showproductname
    Show SKU/Vendor name

--showserial
    Show GPU's Serial Number

--showuniqueid
    Show GPU's Unique ID

--showvoltagerange
    Show voltage range

--showbus
    Show PCI bus number

  Pages information:

--showpagesinfo
    Show retired, pending and unreservable pages

--showpendingpages
    Show pending retired pages

--showretiredpages
    Show retired pages

--showunreservablepages
    Show unreservable pages

  Hardware-related information:

-f, --showfan
    Show current fan speed

-P, --showpower
    Show current Average Graphics Package Power Consumption

-t, --showtemp
    Show current temperature

-u, --showuse
    Show current GPU use

--showmemuse
    Show current GPU memory used

--showvoltage
    Show current GPU voltage

  Software-related/controlled information:

-b, --showbw
    Show estimated PCIe use

-c, --showclocks
    Show current clock frequencies

-g, --showgpuclocks
    Show current GPU clock frequencies

-l, --showprofile
    Show Compute Profile attributes

-M, --showmaxpower
    Show maximum graphics package power this GPU will consume

-m, --showmemoverdrive
    Show current GPU Memory Clock OverDrive level

-o, --showoverdrive
    Show current GPU Clock OverDrive level

-p, --showperflevel
    Show current DPM Performance Level

-S, --showclkvolt
    Show supported GPU and Memory Clocks and Voltages

-s, --showclkfrq
    Show supported GPU and Memory Clock

--showmeminfo TYPE [TYPE ...]
    Show Memory usage information for given block(s) TYPE

--showpids
    Show current running KFD PIDs

--showpidgpus [SHOWPIDGPUS [SHOWPIDGPUS ...]]
    Show GPUs used by specified KFD PIDs (all if no arg given)

--showreplaycount
    Show PCIe Replay Count

--showrasinfo BLOCK [BLOCK ...]
    Show RAS enablement information and error counts for the specified block(s)

--showvc
    Show voltage curve

--showxgmierr
    Show XGMI error information since last read

  Set options:

--setsclk LEVEL [LEVEL ...]
    Set GPU Clock Frequency Level(s) (requires manual Perf level)

--setmclk LEVEL [LEVEL ...]
    Set GPU Memory Clock Frequency Level(s) (requires manual Perf level)

--setpcie LEVEL [LEVEL ...]
    Set PCIE Clock Frequency Level(s) (requires manual Perf level)

--setslevel SCLKLEVEL SCLK SVOLT
    Change GPU Clock frequency (MHz) and Voltage (mV) for a specific Level

--setmlevel MCLKLEVEL MCLK MVOLT
    Change GPU Memory clock frequency (MHz) and Voltage for (mV) a specific Level

--setvc POINT SCLK SVOLT
    Change SCLK Voltage Curve (MHz mV) for a specific point

--setsrange MINMAX SCLK
    Set min(0) or max(1) SCLK speed

--setmrange MINMAX SCLK
    Set min(0) or max(1) MCLK speed

--setfan LEVEL
    Set GPU Fan Speed (Level or %)

--setperflevel LEVEL
    Set Performance Level

--setoverdrive %
    Set GPU OverDrive level (requires manual|high Perf level)

--setmemoverdrive %
    Set GPU Memory Overclock OverDrive level (requires manual|high Perf level)

--setpoweroverdrive WATTS
    Set the maximum GPU power using Power OverDrive in Watts

--setprofile SETPROFILE
    Specify Power Profile level (#) or a quoted string of CUSTOM Profile attributes "# # # #..." (requires manual Perf level)

--rasenable BLOCK ERRTYPE
    Enable RAS for specified block and error type

--rasdisable BLOCK ERRTYPE
    Disable RAS for specified block and error type

--rasinject BLOCK
    Inject RAS poison for specified block (ONLY WORKS ON UNSECURE BOARDS)

  Reset options:

-r, --resetclocks
    Reset clocks and OverDrive to default

--resetfans
    Reset fans to automatic (driver) control

--resetprofile
    Reset Power Profile back to default

--resetpoweroverdrive
    Set the maximum GPU power back to the device deafult state

--resetxgmierr
    Reset XGMI error count

  Auto-response options:

--autorespond RESPONSE
    Response to automatically provide for all prompts (NOT RECOMMENDED)

  Output options:

--loglevel LEVEL
    How much output will be printed for what program is doing, one of debug/info/warning/error/critical

--json
    Print output in JSON format

--csv
    Print output in CSV format